using Dusk;

namespace HookahPlace.Content;

public class HookahContentHandler : ContentHandler<HookahContentHandler>
{
    public HookahContentHandler(DuskMod mod) : base(mod)
    {
        if (!RegisterContent("hookahunlockableassets", out DefaultBundle? bundle, forceEnabled: true) || bundle == null)
        {
            HookahPlace.Logger.LogError($"Failed to register content");
            return;
        }
    }
}
